const { isMainThread, parentPort, workerData } = require('worker_threads')
const logger = require('../utils/logger.js')
const { searchData } = require('./classes.js')

if (!isMainThread) {
  logger.DebugLog('Starting worker thread', 'searchdata', 1)
  logger.DebugLog(workerData, 'searchdata', 3)
  const { data, question, subj, recData } = workerData

  parentPort.postMessage(searchData(data, question, subj, recData))
} else {
  logger.Log(
    'Porcess data should not run on main thread!',
    logger.GetColor('redbg')
  )
}
